Subject: Re: Does tc-prio really work as advertised?

From: Patrick McHardy <[email-masked]>
Date: Tue, 27 Nov 2007 14:18:38 +0100

Joerg Pommnitz wrote:
> Great :-(. I went over the ChangeLogs for later kernel versions, but
> couldn't find anything.
> 
> I'll try to come up with a working .config for the most current kernel
> that works on my hardware and test again.
> 
> Do you have a pointer to the fix so that I could try to patch a 2.6.20
> kernel?

git-log net/sched/sch_prio.c:

commit dbaaa07a60edf71670b484a65e14400ab40c84f7
Author: Lucas Nussbaum <[email-masked]>
Date:   Thu Aug 30 22:35:46 2007 -0700

     [NET_SCHED] sch_prio.c: remove duplicate call of tc_classify()

and

commit bdba91ec70fb5ccbdeb1c7068319adc6ea9e1a7d
Author: Patrick McHardy <[email-masked]>
Date:   Mon Jul 30 17:07:14 2007 -0700

     [NET_SCHED]: Fix prio/ingress classification logic error

Feel free to send patches against the still maintained -stable versions.